Successfully upgraded to Vanilla Forums v2.6. Please report any issue you may find.

Update 8th of April 2017 - Version 1.8.0 "Play it again Sam"

Changelog this time:
- XBMC is now replaced "for sure" with Kodi... I had to create a new Keymapping for the PSX look alike and I will try to get a working one for the SNES look a like too.
- Amiga Emulation in Emulationstation is working now much better..
- RetroArch should find its cores again..
- Replaced AmiCloud and Appstore with the latest builds, so they work again.
... and a lot fixes I can't remember ..
Took definitely longer than this list could male you believe : )

....
Now it is your turn...
I can imagine that a lot is not running perfect yet
My next step is to split the update into multiple parts, which will than only be updated if required.
This will speed up the update time. Scheduled for tuesday.

Comments

  • I have tried twice again to update but get an error at the beginning and the system cannot download the update.
  • My apologies. Found the problem on my end. Updating now.
  • Updated twice to be sure. Same problems as befofre. The system says version 1.8.0 and has KODI at the top of the list but when you click it nothing happens. XBMC is still available from the desktop and runs the same as always. Retroarch still has no cores to be found and is still on version 1.3.0. Amiga emulation through emulationstation is still slow. Pushing F12 still brings up a very lagged interface. I will continue looking for other bugs throughout the day.
  • edited April 2017
    1.8.0 is correct. Something didn't work at your end..
    Question is what?
    1.3.0 is ok too.. it doesn't show a higher number as well (don't ask me why)

    All in all.. the update of linux core system didn't work for you for some reason.
    Can you open a terminal (desktop mode)
    and type:
    "sudo sh optimize"
    without ""

    Password is odroid (lower case letters)

    What does it say?
    Any error messages?
  • also try in terminal:
    sudo apt-get dist-upgrade
    This will try to update the linux ground and packages and give you error messages when present.
  • I ran "sudo sh optimize" and it ran with no errors, but nothing changed afterwards. Next I ran your your next suggestion and this is what I got.

    odroid@indieGO:~$ sudo apt-get dist-upgrade
    [sudo] password for odroid:
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    odroid@indieGO:~$

    What does this mean and what do I do next?
  • This means that the update process was interrupted in the first place so further attempts are blocked.

    Type:
    sudo dpkg --configure -a

    and it should finish it.
  • I tried it and this is what happened.

    odroid@indieGO:~$ sudo dpkg --configure -a
    [sudo] password for odroid:
    dpkg: error processing package libvncclient0:armhf (--configure):
    package is in a very bad inconsistent state; you should
    reinstall it before attempting configuration
    Errors were encountered while processing:
    libvncclient0:armhf
    odroid@indieGO:~$

  • 1.7.9a does not cleanly upgrade to 1.8.0, there appears a dialog that in my case did not respond to commands. After a reboot the commands sudo dpkg --configure -a and sudo apt-get dist-upgrade solved it for me (the same dialog reappeared but this time I could use the tab key to press Ok). Although the command sudo sh optimize says that there are packages that are going to be updated that don't using the previously stated commands.
  • edited April 2017
    @s0lmanGrundy
    sudo apt-get --reinstall libvncclient0
    should fix it

    @MarkB
    On my site it worked from 1.7.0 .. .could be that something in between caused trouble.
  • Ah now it is fixed. Used the sudo dpkg --configure -a and sudo apt-get dist-upgrade solution and all is well now. Before that worked I considered downloading the full image from the areos site. I noticed it is still version 1.4.8 from back in December. When should we see an update of that in case I wanted to keep a backup for future use?
Sign In or Register to comment.